<script lang='ts' setup>
import { ribbonOutline } from "ionicons/icons";

const { t } = useI18n();
const router = useRouter();

function gotoMyIssues() {
  router.replace("/trade-settings/my-issues");
}
</script>

<template>
  <div>
    <ui-result
      :icon="ribbonOutline"
      :title="t('asset.issue.apply.done.title')"
      :description="t('asset.issue.apply.done.description')"
    >
      <template #extra>
        <ion-button expand="block" color="primary" @click="gotoMyIssues">
          {{ t('asset.issue.apply.done.viewProducts') }}
        </ion-button>
      </template>
    </ui-result>
  </div>
</template>

<style lang='css' scoped></style>
